********** Version 1.20-1 **********
2010/11/06	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/EnbanFukusyaDlg.cpp: mkisofs対応
	* Win32/osdepend.[ch]: mkisofs対応
	* Win32/ui.[ch]: フォルダ選択ダイアログ追加
	* DriveAccess/mkisofs.c: Win32対応
2010/11/02	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/discinfo.c(GetDiscInformationMkisofs):
	  mkisofsエラー判定追加
	* DriveAccess/ebstring.c(EbStringAppendPath):
	  パス区切りで文字列追加する関数を追加
	* DriveAccess/mkisofs.[ch]: エラー対応、mkisofsコマンドライン変更、
	  DVD-video対応、mkisofs中断処理追加
	* DriveAccess/text.h: メッセージ追加
	* Linux/src/osdepend.[ch]: プロセス強制終了関数追加
2010/11/01	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/mkisofs.[ch]: フォルダからのISOイメージ作成
	* DriveAccess/copydisc.c: フォルダからのISOイメージ作成対応
	* DriveAccess/discinfo.c: フォルダからのISOイメージ作成対応
	* DriveAccess/drive.c: フォルダからのISOイメージ作成対応
	* DriveAccess/option.c: フォルダからのISOイメージ作成対応
	* Linux/src/filedlg.c: フォルダ選択ダイアログ表示機能追加
	* Linux/src/main.c: フォルダからのISOイメージ作成対応
	* Linux/src/ui.[ch]: フォルダ選択ダイアログ追加
2010/10/27	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Linux/src/filedlg.c: GtkFileChooserDialogを使用するように変更
2010/09/06	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c: BD-RE対応(BD-Rはまだ)
	* DriveAccess/option.c: BD-RE対応(BD-Rはまだ)
********** Version 1.19-8 **********
2010/01/19	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/cuesheet.c(SetLeadIn): MSFは常に0に変更。
2010/01/17	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/cuesheet.[ch]: CueSheet作成処理を整理
	* DriveAccess/struct.h: x86_64対応
2009/12/28	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(PostProcess): エラー時「コマンドログを
	出力しますか?」を表示し忘れていたのを修正。
	* DriveAccess/copydisc.c(PostProcess): 書き込み終了時にドライブによって
	ディスクが回転しっぱなしになるので、スピンダウンを追加。
	* DriveAccess/cmdlog.c(CreateLog): コマンドログの出力先表示を追加。
	* DriveAccess/ebstring.[ch]: 文字列編集関数群を追加。
********** Version 1.19-7 **********
2008/11/06	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/struct.h(_MODEPAGE05): mcvalとtcvalのビット位置が
	正しく指定できていないのを修正。
	* DriveAccess/copydisc.c(CreateCueSheet): 2ndSession以降の先頭
	pregap分が生成できていなかったのを修正。
********** Version 1.19-6 **********
2008/07/16      Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Linux/src/main.c: コマンドライン引数でイメージファイルを指定可能に。
2008/07/12	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/EnbanFukusya.*, Win32/EnbanFukusyaDlg.*, Win32/ui.*:
	コマンドライン引数でイメージファイルを指定可能に。
2008/06/17	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/discinfo.c(JudgeTAO): TAO/SAO判別が困難なので
	完了セッションはSAOで記録することに変更。
	* Linux/console/main.c(main): EUC-JP環境での文字化け修正。
********** Version 1.19-5 **********
2008/01/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CopyDisc): ディスク入れ換え時のEjectは
	Non Immediate に変更。
********** Version 1.19-4 **********
2007/10/02	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Linux/console/*: コンソール版作成
********** Version 1.19-3 **********
2007/04/09	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CreateCueSheet): 未記録1stトラック開始を
	 -150(0xffffff6a)と報告するドライブの対応
2007/01/30	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/mem.[ch]: メモリデバッグ用関数追加
********** Version 1.19-2 **********
2007/01/21	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/WinAspi/aspi.c(SendAspiCmd): 転送バイト数を偶数化
	  (ドライバによっては奇数バイト数転送ができない?)
2007/01/14	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(DispSpeed): 全体残り時間表示は複数トラックの
	  場合だけに変更
2007/01/09	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(DispSpeed): 全体残り時間表示追加

********** Version 1.19-1 **********
2006/09/18	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/offsetiso.c: ISO9660外側ずらし機能追加
	* DriveAccess/copydisc.c(CalcOffset): 〃
	* DriveAccess/option.c(Check1TrackISO): 〃

********** Version 1.18-2 **********
2006/09/02	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32-gtk/*: Gtk2を使ったWin32版
	
2006/07/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/EnbanFukusyaDlg.cpp(OnOK):
	  ISOイメージ読込ができなくなっていたのを修正
	
********** Version 1.18-1 **********
2006/07/03	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* MacOSX/MainWindowControl.m(scanDrive,startCopyThread):
	  オリジナルイメージファイル用デバイス選択を追加
	* DriveAccess/discinfo.c(SetDiscInformation):
	  ISOイメージ作成時に読込ディスクが複数セッションの場合しかエラー
	  にならなかったのを複数トラックの場合にエラーになるように修正。
	
2006/07/02	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/discinfo.c(SetDiscInformation,GetDiscInformationImage):
	  CPU依存の無いオリジナルイメージファイルに変更
	* DriveAccess/emg.c: CPU依存の無いオリジナルイメージファイルに変更
	* DriveAccess/copydisc.c(OpenReader,OpenWriter):
	  オリジナルイメージファイル用デバイスオープン追加
	* DriveAccess/drive.c(OpenEnbanImageDevice):
	  オリジナルイメージファイル用デバイスオープン追加
	* Win32/EnbanFukusyaDlg.cpp(OnInitDialog,OnOK):
	  オリジナルイメージファイル用デバイス選択を追加
	* Linux/src/main.c(scan_drive,on_btnStartCopy_clicked):
	  オリジナルイメージファイル用デバイス選択を追加
	
2006/06/30	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/SettingDlg.cpp(SetSpeedItems):
	  前回指定した速度がデフォルトとして設定されないのを修正。
	* MacOSX/SettingDlgControl.m(setSpeedItems):
	  前回指定した速度がデフォルトとして設定されないのを修正。
	* Linux/src/settingdlg.c(set_speed_items):
	  前回指定した速度がデフォルトとして設定されないのを修正。

********** Version 1.17-5 **********
2006/06/29	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CreateCueSheet):
	  1.17-4の修正で2nd以降のCueSheetを間違っていたのを修正。
	
********** Version 1.17-4 **********
2006/06/03	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CreateCueSheet):
	  トラック1が0x00000000から開始してないディスクへの対応
	
2006/06/02	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CopyDisc): 少し整理(装置オープン/クローズ)
	* DriveAccess/log.c(DebugLog): copydisc.c から分離
	* DriveAccess/discinfo.c: copydisc.c から分離
	
********** Version 1.17-3 **********
2006/05/19	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(GetDiscInformationDrive):
	  未記録ディスクの時にメッセージが出ずにエラーが出ていたのを修正

2006/05/17	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(JudgeTAO): TAO判定処理改善
	
2006/05/16	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(SetWriteParametersPage):
	  TAOでCDDA記録時のaudio pause length指定漏れを修正
	* DriveAccess/copydisc.c(JudgeTAO): TAO判定処理改善
	
2006/05/15	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CopyDisc): イメージファイル経由の場合に
	  コマンドログ出力に失敗するバグを修正
	* DriveAccess/text.[chm]: MacOSXも国際化機構を使ったりするように。
	* MacOSX/Localizable.strings: 〃
	* DriveAccess/copydisc.c: プリギャップ自動生成してくれないドライブ
	  の対処でゼロデータを送り込む機能を追加(SEND_GAPDATAデファイン)

2006/02/11	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/EnbanFukusyaDlg.cpp: メーター変化をなめらかに。
	* DriveAccess/option.c: DVD記録時記録速度選択が0になるバグ修正
	
2006/01/10	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Linux/src/settingdlg.c: 記録速度選択候補はちゃんとドライブから取得
	* Linux/src/ui.[ch]: メーター幅を100から1000に変更
	* Linux/src/aspi.c(SetAspiSetting): openモードをRDONLYからRDWRに変更
	* DriveAccess/netaccess.c(NAConnect):
	  ネットワーク接続失敗時にはまり込むのを修正
	
2006/01/09	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/text.[ch]: Win32版もLinux版のgtk2対応の影響で
	* DriveAccess/*.c: 英語文字列も直接埋めずdefineとする
	* DriveAccess/option.[ch]: 記録速度選択候補はちゃんとドライブから取得
	* Win32/SettingDlg.cpp: 記録速度選択候補はちゃんとドライブから取得
	* Win32/EnbanFukusyaDlg.cpp: メーター幅を100から1000に変更
	* Win32/ui.cpp: メーター幅を100から1000に変更
	
2006/01/07	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/text.[ch]: gtk2に対応する為にしかたなく国際化を意識
	* DriveAccess/*.c: 日本語文字列は直接ソースコードには埋め込まない
	* Linux/src/*.c: 日本語文字列は直接ソースコードには埋め込まない
	
********** Version 1.17 **********
2005/11/13	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CopyDisc): 異種メディア判定ミス修正。
	* DriveAccess/copydisc.c(ExecReadWrite): 読込エラーリトライ追加。
	
2005/11/12	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/netserver.c: copydisc.cから分離。
	* DriveAccess/netaccess.c(NAClose): ソケット切断処理を修正。
	
2005/11/07	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(CopyDisc):
	  一時ファイルが完全に消せていなかったのを修正。
	
2005/10/19	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(ExecReadWrite):
	  読取側と書込側の両方がイメージファイルの場合にエラーとして
	  いたが、CD/DVDに記録されたisoファイル等を書く場合は一時ファイル
	  を経由したい場合があるので、エラーにしないように変更。
	* DriveAccess/image.c(ReadImageFile,WriteImageFile):
	  イメージファイル読込/書込時のエラーを拾うように修正。
	
********** Version 1.16 **********
2005/06/19	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* MacOSX/osxaspi/aspi.c: ディスク挿入済でも装置認識
	* DriveAccess/scan.c: ディスク挿入済でも装置認識

2005/06/08	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(WriteCDText): CD-TEXT複数台同時記録対応
	
2005/06/05	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/cmdlog.c(CreateLog): 仮想装置分もログ出力するバグ修正
	* DriveAccess/cmd.c(CheckReady): メッセージ表示追加
	* DriveAccess/copydisc.c(ExecReadWrite): 複数台同時Lead-in記録
	* DriveAccess/copydisc.c(OpenDevice): メモリリーク修正
	
********** Version 1.15 **********
2005/05/09	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/image.c(ReadImageFile): 1G超えISOイメージ読み修正
	* DriveAccess/image.c(WriteImageFile): 1G超えISOイメージ書き修正
	* DriveAccess/copydisc.c: _FILE_OFFSET_BITSデファイン定義削除
	* Linux/src/Makefile: _FILE_OFFSET_BITSをCFLAGSに追加
	* DriveAccess/cmd.[ch](SendReadBufferCapacity): 関数追加
	* DriveAccess/copydisc.c(DispSpeed): バッファ蓄積率表示追加
	* DriveAccess/image.c(OpenImageFile): エラーメッセージ修正
	
2005/04/21	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(OpenNetDevice): 解放漏れ修正
	* MacOSX/osxaspi/aspi.c(SendAspiCmd): SenseData複写漏れ修正

2005/04/19	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* MacOSX/MainWindowControl.m: ネットワーク対応
	* MacOSX/ui.[mh]: ネットワーク対応
	* MacOSX/SettingNetControl.[mh]: ネットワーク対応
	* DriveAccess/option.c(SetOption): 書込側が仮想の場合の設定を修正

2005/04/14	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(OpenNetDevice): ディスクタイプ取得忘れ修正
	* DriveAccess/copydisc.c(CopyDisc): 一時ファイル名決定ミス修正
	
2005/04/13	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/netaccess.c(ConvertCharset): 変換ミス修正
	
2005/04/09	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(ExecuteLongRead): SENSEDATA返送洩れ修正
	* DriveAccess/copydisc.c(ReceiveNetCmd): 文字コード変換
	* DriveAccess/netaccess.[ch]: 文字コード変換機能追加
	* Linux/src/aspi.c(SendAspiCmd): コマンド正常時SENSEDATA初期化追加
	
2005/04/07	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(WriteLoop): 速度計算ばらつきを少し無くす
	* DriveAccess/cmd.[ch](SendLongRead*): ネット接続時LongRead対応
	* DriveAccess/drive.[ch](SendCmdLongRead): ネット接続時LongRead
	* DriveAccess/netaccess.[ch]: ネット接続時LongRead
	
2005/04/05	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Linux/src/common.[ch]: 共通関数用に追加
	* Linux/src/netdlg.c: ダイアログデザイン変更、ボタンにXPM追加
	* Linux/src/settingdlg.c: ボタンにXPM追加
	
2005/04/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/netaccess.[ch]: Linux対応
	* DriveAccess/copydisc.c(PostProcess): 終了処理が不完全だった
	* DriveAccess/copydisc.c(ReceiveNetCmd): タイムアウト指定ミス修正
	* DriveAccess/cmd.c(OpenTray,CloseTray): ネット装置は操作しない
	* Linux/src/ui.[ch]: ネットワークダイアログ追加
	* Linux/src/netdlg.[ch]: ネットワークダイアログ追加
	* Linux/src/main.c: ネットワーク対応
	* Linux/src/aspi.[ch]: ネットワーク対応に合わせて修正
	* Linux/src/filedlg.c: WindowManagerから閉じられた場合の対処
	* Linux/src/settingdlg.c: WindowManagerから閉じられた場合の対処
	
2005/03/31	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/netaccess.[ch](NAGetErrorMessage): 新規作成
	* DriveAccess/copydisc.c(DispSocketError): 新規作成
	* DriveAccess/copydisc.c(OpenNetDevice): SOCKETエラー時メッセージ出力
	* DriveAccess/copydisc.c(PostProcess): SOCKETエラー時メッセージ出力
	
2005/03/30	Kagetani HIdeto <banana@mxh.mesh.ne.jp>
	* DriveAccess/cmd.[ch]: DRIVE構造体変更に伴う変更
	* DriveAccess/cmdlog.[ch]: DRIVE構造体変更に伴う変更
	* DriveAccess/copydisc.[ch]: DRIVE構造体変更に伴う変更
	* DriveAccess/copydisc.[ch]: ネットワーク対応
	* DriveAccess/option.[ch]: DRIVE構造体変更に伴う変更
	* DriveAccess/scan.[ch]: DRIVE構造体変更に伴う変更
	* DriveAccess/drive.[ch]: 新規追加
	* DriveAccess/netaccess.[ch]: 新規追加
	* Win32/EnbanFukusyaDlg.(cpp|h): ネットワーク対応
	* Win32/ui.(cpp|h): ネットワークダイアログ追加
	* Win32/WinAspi/aspi.[ch]: 共通部分をdrive.[ch]に移動
	
********** Version 1.14 **********
2005/01/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* MacOSX/MainWindowControl.m : ISOイメージ読み書き&複数台同時記録対応
	* MacOSX/aspi.c(SetAspiSetting) : AddCallbackDispatcherToRunLoop()
					は要らないかなぁと
	* MacOSX/ui.h : スレッドは使わないように変更
	* MacOSX/ui.c(UIFileDialog) : ファイルダイアログ追加

2004/12/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Linux/src/main.c(on_btnStartCopy_clicked) : ISO書込み後落ちるのを修正
	* Win32/EnbanFukusyaDlg.cpp(OnOK) : 単一装置複写できないのを修正
	* DriveAccess/copydisc.c(CopyDisc) : テスト用コード削除

2004/11/30	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Linux/src/main.c : ISOイメージファイル読み込み書き込み対応
	* Linux/src/ui.c :  〃
	* Linux/src/filedlg.c :  〃
	* DriveAccess/copydisc.c(CopyDisc) : 単一装置複写時不具合修正
	
2004/11/07	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c : ISOイメージファイル読込み書込み対応
	* DriveAccess/option.c :     〃
	* Win32/EnbanFukusyaDlg.cpp :  〃
	* Win32/ui.cpp, Win32/ui.h :  〃
	
********** Version 1.13 **********
2004/10/25	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c : 複数台同時記録対応
	* DriveAccess/cmdlog.[ch] :   〃
	* Win32/EnbanFukusyaDlg.cpp :  〃

********** Version 1.12 **********
2004/07/27	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/option.c(LoadOption,SaveOption):
		読取速度、記録速度も設定ファイル/レジストリに保存する。
	* DriveAccess/copydisc.c(CopyDisc):
		一時イメージファイルが残ってしまうのを修正。
	* DriveAccess/cmd.c(SendReadDisc):
		データ転送長が合わずエラーになるのを修正。
	* Linux/aspi.c(SendCmd): タイムアウト指定ミスを修正。

********** Version 1.11 **********
2004/06/12	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(AdjustTrackSize):
		完了トラックの場合はトラック最後2ブロックが読めるかどうか確認する。

********** Version 1.10 **********
2004/06/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/EnbanFukusyaDlg.cpp: 1ドライブ複写の場合は同じデバイスを
		2度オープンしないように変更(SPTIの場合)
	
********** Version 1.9 **********
2004/05/27	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/cmd.c(GetDiscType):
		GetConfigコマンド未サポートドライブ対応
	* DriveAccess/scan.c(ScanDrive): Win2000/XP SPTI対応
	* Win32/WinAspi/aspi.[ch]: Win2000/XP SPTI対応
	* Win32/WinAspi/aspi.c(CheckAtapi): ATAPI/SCSI判定修正
	* Linux/aspi.c(CheckAtapi): ATAPI/SCSI判定修正
	* MaxOSX/osxaspi/aspi.c(CheckAtapi): ATAPI/SCSI判定修正
	* DriveAccess/cmd.c(SendModeSense,SendModeSelect):
		SCSIドライブのModeSense/Selectオフセット修正
	* DriveAccess/copydisc.c(SetWriteParametersPage):
		SCSIドライブのModeSense/Selectオフセット修正
	* DriveAccess/option.c(SetOption):
		SCSIドライブのModeSense/Selectオフセット修正
	* DriveAccess/scan.c(IsWriterDrive):
		SCSIドライブのModeSense/Selectオフセット修正

********** Version 1.8 **********
2004/05/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(ExecCopy): TAOでない時に記録速度設定が
		実行されてなかったのを修正。

********** Version 1.7 **********
2004/04/04	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/EnbanFukusyaDlg.cpp: 残り時間表示領域にテーマが反映されて
		なかったのを修正。
	* DriveAccess/copydisc.c(GetGapLen): 検索した先頭が既にギャップか
		どうかの判定ミスを修正。
	* DriveAccess/copydisc.c(AdjustTrackSize): TAO時はサイズ調整しない。
	* DriveAccess/copydisc.c(ExecCopy): TAO時ブランク最終トラックを
		Reserve	してしまっていたのを修正。

********** Version 1.6 **********
2004/03/13	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/cmdlog.[ch]: WRITE/READコマンドログの転送データは残さない
	* DriveAccess/copydisc.c(WriteLoop): 転送速度、残り時間表示追加

2004/03/09	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c: 非OnTheFlyでTAOで１トラックしか複写できない
	  バグを修正。
	* DriveAccess/copydisc.c(CopySession): ISRCがあるとトラックサイズを
	  間違うバグを修正。
	* DriveAccess/copydisc.c(CreateCueSheet): GAP判定修正
	* MacOSX/*: MacOSX版修正

2004/02/24	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c: DVD-RWもDAO。
	* DriveAccess/copydisc.c: DAO時 WriteParametersPage 設定を忘れていた。
	* DriveAccess/option.[ch]: 一時イメージ保存場所指定を追加。
	* Linux/settingdlg.[ch]:  〃
	* Win32/SettingDlg.cpp,Win32/SettingDlg.h:  〃
	* Win32/EnbanFukusyaDlg.cpp: テーマ設定はレジストリに保存するように変更。

2004/02/17	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* Win32/EnbanFukusyaDlg.cpp, Win32/ThemeSelectDlg.cpp: テーマ選択追加。
	* DriveAccess/copydisc.c: 一時イメージファイルは 1GB で切る。

2004/02/12	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c(ExecCopy): DAOオプションは DVD-R 以外の場合は無効にする。
				(Blanking): DVD-RWに加えてDVD+RWの場合は消去しない。
				(SetSpeed): 速度設定エラーは無視する。
				(ExecCopy,Formatting): DVD+RW 未フォーマット時 B.G.フォーマット。
	* DriveAccess/struct.h: SESSSTAT_COMPLETEデファイン値間違いで CloseSession/Border
				されない場合があるのを修正。
	* DriveAccess/copydisc.c(OpenDevice): イメージファイルオープン時Win32はバイナリ指定
										が必要なので追加。
	* Win32/WinAspi/aspi.c(CheckDiscDevice): Win98で正常にドライブ認識できない不具合回避。

2004/02/11	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c: CD-TEXT 複写処理追加。

2004/02/07	Kagetani Hideto <banana@mxh.mesh.ne.jp>
	* DriveAccess/copydisc.c: DVD-R/-RW の DAO処理修正。
